## qm-dsp 1.7.1

=== tests/Makefile ===

CFLAGS := -I.. $(CFLAGS)
CXXFLAGS := -I.. -Wall -g $(CXXFLAGS)

LDFLAGS := $(LDFLAGS) -lboost_unit_test_framework -lpthread
LIBS := ../libqm-dsp.a

TESTS	:= test-mathutilities test-window test-fft test-pvoc test-resampler test-medianfilter

VG	:= valgrind -q

all: $(TESTS)
	for t in $(TESTS); do echo "Running $$t"; $(VG) ./"$$t" || exit 1; done

test-medianfilter: TestMedianFilter.o $(LIBS)
	$(CXX) -o $@ $^ $(LDFLAGS)

test-mathutilities: TestMathUtilities.o $(LIBS)
	$(CXX) -o $@ $^ $(LDFLAGS)

test-window: TestWindow.o $(LIBS)
	$(CXX) -o $@ $^ $(LDFLAGS)

test-fft: TestFFT.o $(LIBS)
	$(CXX) -o $@ $^ $(LDFLAGS)

test-pvoc: TestPhaseVocoder.o $(LIBS)
	$(CXX) -o $@ $^ $(LDFLAGS)

test-resampler: TestResampler.o $(LIBS)
	$(CXX) -o $@ $^ $(LDFLAGS)

TestMathUtilities.o: $(LIBS)
TestMedianFilter.o: $(LIBS)
TestWindow.o: $(LIBS)
TestFFT.o: $(LIBS)
TestPhaseVocoder.o: $(LIBS)
TestResampler.o: $(LIBS)

clean: 
	rm -f *.o $(TESTS)

=== ext/kissfft/Makefile ===
KFVER=130

doc:
	@echo "Start by reading the README file.  If you want to build and test lots of stuff, do a 'make testall'"
	@echo "but be aware that 'make testall' has dependencies that the basic kissfft software does not."
	@echo "It is generally unneeded to run these tests yourself, unless you plan on changing the inner workings"
	@echo "of kissfft and would like to make use of its regression tests."

testall:
	# The simd and int32_t types may or may not work on your machine 
	make -C test DATATYPE=simd CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=int32_t CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=int16_t CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=float CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=double CFLAGADD="$(CFLAGADD)" test
	echo "all tests passed"

tarball: clean
	hg archive -r v$(KFVER) -t tgz kiss_fft$(KFVER).tar.gz 
	hg archive -r v$(KFVER) -t zip kiss_fft$(KFVER).zip

clean:
	cd test && make clean
	cd tools && make clean
	rm -f kiss_fft*.tar.gz *~ *.pyc kiss_fft*.zip 

asm: kiss_fft.s

kiss_fft.s: kiss_fft.c kiss_fft.h _kiss_fft_guts.h
	[ -e kiss_fft.s ] && mv kiss_fft.s kiss_fft.s~ || true
	gcc -S kiss_fft.c -O3 -mtune=native -ffast-math -fomit-frame-pointer -unroll-loops -dA -fverbose-asm 
	gcc -o kiss_fft_short.s -S kiss_fft.c -O3 -mtune=native -ffast-math -fomit-frame-pointer -dA -fverbose-asm -DFIXED_POINT
	[ -e kiss_fft.s~ ] && diff kiss_fft.s~ kiss_fft.s || true

=== debian/changelog ===
qm-dsp (1.7.1-9) unstable; urgency=medium

  * Slightly relax float-equality test in testsuite (Closes: #1070450)
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 22:36:56 +0200

qm-dsp (1.7.1-8) unstable; urgency=medium

  * Update lapack patch to declare dgetr[fi]_()
    (Closes: #1066007, #1066192)
  * B-D on pkgconf (but fallback to pkg-config)
  * Build and run upstream tests via autopktest
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 15:02:10 +0100

qm-dsp (1.7.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062718

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:37:40 +0000

qm-dsp (1.7.1-7) unstable; urgency=medium

  * B-D on liblapack-dev
    - Instead of the atlas-headers that are to be removed from Debian
    (Closes: #1056685)
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 22 Jan 2024 09:01:00 +0100

qm-dsp (1.7.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove listed license files (ext/kissfft/COPYING) from copyright.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Update standards version to 4.6.1, no changes needed.

  [ IOhannes m zmölnig ]
  * Provide 'makefile' based buildsystem
    + Drop buildsystem within d/rules
  * Declare which files to install
  * Use d/clean for cleanup
  * Refresh d/copyright
  * Modernize 'licensecheck' target
    + Regenerate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Modernize d/watch
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 15:43:47 +0100

qm-dsp (1.7.1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig ]
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Remove obsolete file d/source/local-options
  * Use https:// for project URLs
  * Add 'licensecheck' target
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Dec 2021 08:46:58 +0100

qm-dsp (1.7.1-4) unstable; urgency=medium

  * Remove fix_includes patch (Closes: #877055)
    * Build-Conflict on libblas-dev/libclapack-dev
  * Modernize Vcs-Browser stanza
  * Bump standards version to 4.1.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 28 Sep 2017 22:31:25 +0200

qm-dsp (1.7.1-3) unstable; urgency=medium

  * Introduce postclone.sh script to ignore .pc/ dir.
  * Bump Standards.
  * Update copyright.
  * Fix dh version.
  * Avoid useless linking.
  * Fix FTCBFS. (Closes: #872249)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 15 Aug 2017 15:45:08 +0200

qm-dsp (1.7.1-2) unstable; urgency=medium

  * B-D on pkg-config &  libatlas-base-dev
  * Link with g++
  * Use shlibs:Depends for library-dependencies

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 15 Dec 2016 23:04:50 +0100

qm-dsp (1.7.1-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Initial release (Closes: #847169)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 15 Dec 2016 20:55:43 +0100

=== debian/control ===
Source: qm-dsp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 liblapack-dev | liblapack.so,
 pkgconf | pkg-config,
 vamp-plugin-sdk,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://code.soundsoftware.ac.uk/projects/qm-dsp
Vcs-Git: https://salsa.debian.org/multimedia-team/qm-dsp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qm-dsp

Package: libqm-dsp0t64
Provides:
 ${t64:Provides},
Replaces:
 libqm-dsp0,
Breaks:
 libqm-dsp0 (<< ${source:Version}),
Section: libs
Architecture: any
Depends:
 vamp-plugin-sdk,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Description: C++ library for audio signals analysis
 This is a C++ library for DSP and Music Informatics purposes,
 written at the Queen Mary University.
 Among other things, it provides functions for audio analysis.
 .
 This package contains the shared library for libqm-dsp.

Package: libqm-dsp-dev
Section: libdevel
Architecture: any
Depends:
 libqm-dsp0t64 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Development files (headers) for libqm-dsp library
 This is a C++ library for DSP and Music Informatics purposes,
 written at the Queen Mary University.
 Among other things, it provides functions for audio analysis.
 .
 This package contains the headers used to build applications
 that use libqm-dsp.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_fixperms:
	-find $(CURDIR)/debian/*/usr/include -type f -name "*.h" -exec \
		chmod -x {} +

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=4
opts=dversionmangle=auto \
https://code.soundsoftware.ac.uk/projects/qm-dsp/files \
	/attachments/download/\d+/qm-dsp-([\d.]+)\.tar\.gz
